Đến nội dung


Hình ảnh

Bản vẽ có vấn đề cần trợ giúp


  • Please log in to reply
5 replies to this topic

#1 bachngoctung

bachngoctung

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 04 March 2010 - 04:06 PM

- MInhf có 1 bản vẽ cad 07 nó bị như sau:
+ Khi zoom xa:
http://c.upanh.com/u...7645114_1_1.bmp
+ Khi zoom gần:
http://c.upanh.com/u...7645110_1_1.bmp
-Hiện tượng trên nó chẳng ảnh hưởng gì đến vẽ và in ấn cả, nhưng nhìn ngứa mắt ko thể chịu nổi. Mong mội người giúp đỡ cách khắc phục
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 04 March 2010 - 05:59 PM

Hiện tượng này nhiều khả năng là do tồn tại các đối tượng text không có nội dung (text rỗng hoặc toàn dấu cách) trong bản vẽ.

Bạn dùng lisp sau đây để xóa các đối tượng đó đi:

Lệnh là EET (erase empty text)
(defun c:eet()
(setq ss (ssget "x" '((0 . "TEXT") (1 . "~*[~ ]*"))))
(if ss
(progn
(command ".erase" ss "")
(princ "\nDa xoa ") (princ (sslength ss)) (princ " doi tuong text rong!")
)
(princ "Khong co doi tuong text rong nao!")
)
(princ)
)

  • 2

#3 buihuycuc

buihuycuc

    biết vẽ polygon

  • Members
  • PipPip
  • 74 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 04 March 2010 - 07:54 PM

Em cũng gặp lỗi gần giống như trên( có những ô vuông trắng ở phía ngoài khung bản vẽ), cách làm của em là copy sang file bản vẽ khác.
  • 0

#4 dangthevinhxuanhoa

dangthevinhxuanhoa

    biết vẽ polygon

  • Members
  • PipPip
  • 71 Bài viết
Điểm đánh giá: 26 (tàm tạm)

Đã gửi 04 March 2010 - 10:42 PM

- MInhf có 1 bản vẽ cad 07 nó bị như sau:
+ Khi zoom xa:
http://c.upanh.com/u...7645114_1_1.bmp
+ Khi zoom gần:
http://c.upanh.com/u...7645110_1_1.bmp
-Hiện tượng trên nó chẳng ảnh hưởng gì đến vẽ và in ấn cả, nhưng nhìn ngứa mắt ko thể chịu nổi. Mong mội người giúp đỡ cách khắc phục

ax! cái này mới quá! mong các pác chỉ giáo!tks,,,,,,,
  • 0

#5 bachngoctung

bachngoctung

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 06 March 2010 - 05:49 PM

Hiện tượng này nhiều khả năng là do tồn tại các đối tượng text không có nội dung (text rỗng hoặc toàn dấu cách) trong bản vẽ.

Bạn dùng lisp sau đây để xóa các đối tượng đó đi:

Lệnh là EET (erase empty text)

(defun c:eet()
(setq ss (ssget "x" '((0 . "TEXT") (1 . "~*[~ ]*"))))
(if ss
(progn
(command ".erase" ss "")
(princ "\nDa xoa ") (princ (sslength ss)) (princ " doi tuong text rong!")
)
(princ "Khong co doi tuong text rong nao!")
)
(princ)
)

-Cám ơn anh Hoành nhé, mấy hôm nhà e bị đứt dây mạng chả làm gì dc. Để e về thử lisp trên xem sao
  • 0

#6 bachngoctung

bachngoctung

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 06 March 2010 - 08:11 PM

- Được rồi anh Hoành à lisp chạy ngon > bác bắt đúng bệnh rồi. Em load lisp phát đánh EET cái nó báo luôn có 185 đối tượng text rỗng và xóa luôn>>> nhìn bản vẽ lại ngon giai rồi
- Một lần nữa xin cám ơn bác Hoành :cheers:
  • 0